GET api/departmentItemapi/departmentItem/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "item_code": "sample string 1",
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "selected_sticker_id": "71c383cb-91fc-4178-ac7f-f7ff469721d0",
  "selected_nameplate_id": "3b35440f-30fa-41c3-b0c9-ffcaac9bbb08",
  "active": true,
  "department_id": "fb1a5313-c874-45c0-9d22-c3e6434b73a8",
  "id": "d8e0eb9d-9397-401e-8eda-094d68e7dbbd",
  "physical_item_id": "2652abd9-bfd4-466e-b4ba-469aa92f8636",
  "service_item_id": "af0bd2dd-8cf3-40a9-b8b5-fa5f87f78b7e",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <department_id>fb1a5313-c874-45c0-9d22-c3e6434b73a8</department_id>
  <id>d8e0eb9d-9397-401e-8eda-094d68e7dbbd</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>2652abd9-bfd4-466e-b4ba-469aa92f8636</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>af0bd2dd-8cf3-40a9-b8b5-fa5f87f78b7e</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>3b35440f-30fa-41c3-b0c9-ffcaac9bbb08</selected_nameplate_id>
  <selected_sticker_id>71c383cb-91fc-4178-ac7f-f7ff469721d0</selected_sticker_id>
</department_item>